when:
  - event: push
    branch: main

steps:
  - name: build
    image: alpine:edge
    commands:
      - apk add zola
      - zola build    
  - name: deploy
    image: appleboy/drone-scp
    settings:
      host:
        from_secret: server_host
      username: 
        from_secret: server_user
      port: 
        from_secret: server_port
      key:
        from_secret: ssh_key
      source:
        - public/*
      target: ~/oldrabbittown